SDL_RenderRects(3)

NAME
SDL_RenderRects - Draw some number of rectangles on the current rendering target at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RenderRects(SDL_Renderer *renderer, const SDL_FRect *rects, int count);

FUNCTION PARAMETERS

renderer
    the renderer which should draw multiple rectangles.

rects
    a pointer to an array of destination rectangles.

count
    the number of rectangles.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RenderRect(3)